<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:09 CET 2009 -->
<TITLE>
Options
</TITLE>

<META NAME="keywords" CONTENT="ch.javasoft.polco.adapter.Options class">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="Options";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/Options.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV CLASS&nbsp;
&nbsp;<A HREF="../../../../ch/javasoft/polco/adapter/Options.Algorithm.html" title="enum in ch.javasoft.polco.adapter"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/polco/adapter/Options.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="Options.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;<A HREF="#nested_class_summary">NESTED</A>&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
ch.javasoft.polco.adapter</FONT>
<BR>
Class Options</H2>
<PRE>
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../../resources/inherit.gif" ALT="extended by "><B>ch.javasoft.polco.adapter.Options</B>
</PRE>
<HR>
<DL>
<DT><PRE>public class <A HREF="../../../../src-html/ch/javasoft/polco/adapter/Options.html#line.103"><B>Options</B></A><DT>extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></DL>
</PRE>

<P>
The <code>Options</code> class can be used to set polco computation options
 if the <A HREF="../../../../ch/javasoft/polco/adapter/PolcoAdapter.html" title="class in ch.javasoft.polco.adapter"><CODE>PolcoAdapter</CODE></A> is used.
<P>

<P>
<HR>

<P>
<!-- ======== NESTED CLASS SUMMARY ======== -->

<A NAME="nested_class_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Nested Class Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/adapter/Options.Algorithm.html" title="enum in ch.javasoft.polco.adapter">Options.Algorithm</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Constants for the <A HREF="../../../../ch/javasoft/polco/adapter/Options.html#setAlgorithm(ch.javasoft.polco.adapter.Options.Algorithm)"><CODE>algorithm</CODE></A> option.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/adapter/Options.Compression.html" title="enum in ch.javasoft.polco.adapter">Options.Compression</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Constants for the <A HREF="../../../../ch/javasoft/polco/adapter/Options.html#setCompression(ch.javasoft.polco.adapter.Options.Compression)"><CODE>compression</CODE></A> 
 option.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/adapter/Options.LogFormat.html" title="enum in ch.javasoft.polco.adapter">Options.LogFormat</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Constants for the <A HREF="../../../../ch/javasoft/polco/adapter/Options.html#setLogFormat(ch.javasoft.polco.adapter.Options.LogFormat)"><CODE>log format</CODE></A> option.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/adapter/Options.Memory.html" title="enum in ch.javasoft.polco.adapter">Options.Memory</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Constants for the <A HREF="../../../../ch/javasoft/polco/adapter/Options.html#setMemory(ch.javasoft.polco.adapter.Options.Memory)"><CODE>memory</CODE></A> option.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/adapter/Options.Model.html" title="enum in ch.javasoft.polco.adapter">Options.Model</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Constants for the <A HREF="../../../../ch/javasoft/polco/adapter/Options.html#setModel(ch.javasoft.polco.adapter.Options.Model)"><CODE>model</CODE></A> option.</TD>
</TR>
</TABLE>
&nbsp;
<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/adapter/Options.html#Options()">Options</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Constructor for options using default values if no options are changed.</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/polco/adapter/Options.html" title="class in ch.javasoft.polco.adapter">Options</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/adapter/Options.html#merge(ch.javasoft.polco.adapter.Options)">merge</A></B>(<A HREF="../../../../ch/javasoft/polco/adapter/Options.html" title="class in ch.javasoft.polco.adapter">Options</A>&nbsp;other)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Merges <code>this</code> options with <code>other</code>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/adapter/Options.html#setAdjacencyMethod(java.lang.String)">setAdjacencyMethod</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;adj)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets the adjacency test method to use.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/adapter/Options.html#setAlgorithm(ch.javasoft.polco.adapter.Options.Algorithm)">setAlgorithm</A></B>(<A HREF="../../../../ch/javasoft/polco/adapter/Options.Algorithm.html" title="enum in ch.javasoft.polco.adapter">Options.Algorithm</A>&nbsp;algorithm)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets the algorithm implementation that should be used.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/adapter/Options.html#setArithmetic(ch.javasoft.metabolic.efm.config.Arithmetic)">setArithmetic</A></B>(<A HREF="../../../../ch/javasoft/metabolic/efm/config/Arithmetic.html" title="enum in ch.javasoft.metabolic.efm.config">Arithmetic</A>&nbsp;core)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets the arithmetic used for the core computation, which is fractional by
 default.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/adapter/Options.html#setArithmetic(ch.javasoft.metabolic.efm.config.Arithmetic, ch.javasoft.metabolic.efm.config.Arithmetic)">setArithmetic</A></B>(<A HREF="../../../../ch/javasoft/metabolic/efm/config/Arithmetic.html" title="enum in ch.javasoft.metabolic.efm.config">Arithmetic</A>&nbsp;core,
                           <A HREF="../../../../ch/javasoft/metabolic/efm/config/Arithmetic.html" title="enum in ch.javasoft.metabolic.efm.config">Arithmetic</A>&nbsp;post)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets the arithmetic used for the core computation and for 
 post-processing.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/adapter/Options.html#setArithmetic(ch.javasoft.metabolic.efm.config.Arithmetic, ch.javasoft.metabolic.efm.config.Arithmetic, ch.javasoft.metabolic.efm.config.Arithmetic)">setArithmetic</A></B>(<A HREF="../../../../ch/javasoft/metabolic/efm/config/Arithmetic.html" title="enum in ch.javasoft.metabolic.efm.config">Arithmetic</A>&nbsp;core,
                           <A HREF="../../../../ch/javasoft/metabolic/efm/config/Arithmetic.html" title="enum in ch.javasoft.metabolic.efm.config">Arithmetic</A>&nbsp;post,
                           <A HREF="../../../../ch/javasoft/metabolic/efm/config/Arithmetic.html" title="enum in ch.javasoft.metabolic.efm.config">Arithmetic</A>&nbsp;pre)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets the arithmetic used for the core computation, for post-processing
 and for pre-processing.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/adapter/Options.html#setCompression(ch.javasoft.polco.adapter.Options.Compression)">setCompression</A></B>(<A HREF="../../../../ch/javasoft/polco/adapter/Options.Compression.html" title="enum in ch.javasoft.polco.adapter">Options.Compression</A>&nbsp;compression)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets the compression to use for the input matrices.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/adapter/Options.html#setLogFile(java.io.File)">setLogFile</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/File.html" title="class or interface in java.io">File</A>&nbsp;file)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets the log file.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/adapter/Options.html#setLogFormat(ch.javasoft.polco.adapter.Options.LogFormat)">setLogFormat</A></B>(<A HREF="../../../../ch/javasoft/polco/adapter/Options.LogFormat.html" title="enum in ch.javasoft.polco.adapter">Options.LogFormat</A>&nbsp;format)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets the log format to use.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/adapter/Options.html#setLoglevel(java.util.logging.Level)">setLoglevel</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/logging/Level.html" title="class or interface in java.util.logging">Level</A>&nbsp;level)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets the log level to use.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/adapter/Options.html#setMaxThreads(int)">setMaxThreads</A></B>(int&nbsp;maxThreads)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets the maximum number of threads to use.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/adapter/Options.html#setMemory(ch.javasoft.polco.adapter.Options.Memory)">setMemory</A></B>(<A HREF="../../../../ch/javasoft/polco/adapter/Options.Memory.html" title="enum in ch.javasoft.polco.adapter">Options.Memory</A>&nbsp;memory)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets the memory to used to store intermediary rays.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/adapter/Options.html#setModel(ch.javasoft.polco.adapter.Options.Model)">setModel</A></B>(<A HREF="../../../../ch/javasoft/polco/adapter/Options.Model.html" title="enum in ch.javasoft.polco.adapter">Options.Model</A>&nbsp;model)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets the model to use for the <A HREF="../../../../ch/javasoft/polco/adapter/Options.Algorithm.html#standard"><CODE>standard</CODE></A>
 algorithm.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/adapter/Options.html#setSortInitial(java.lang.String)">setSortInitial</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;sorting)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets row ordering applied to the initial kernel matrix.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/adapter/Options.html#setSortInput(java.lang.String)">setSortInput</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;sorting)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets row ordering applied to input matrices.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/adapter/Options.html#setTmpDir(java.io.File)">setTmpDir</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/File.html" title="class or interface in java.io">File</A>&nbsp;tmpDir)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets the directory for temporary files, if out-core <A HREF="../../../../ch/javasoft/polco/adapter/Options.Memory.html" title="enum in ch.javasoft.polco.adapter"><CODE>Options.Memory</CODE></A> is
 used.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/adapter/Options.html#setZero(double)">setZero</A></B>(double&nbsp;zeroCore)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets the value that should be treated as zero if double arithmetic is 
 used.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/adapter/Options.html#setZero(double, double)">setZero</A></B>(double&nbsp;zeroCore,
               double&nbsp;zeroPost)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets the value that should be treated as zero if double arithmetic is 
 used.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/adapter/Options.html#setZero(double, double, double)">setZero</A></B>(double&nbsp;zeroCore,
               double&nbsp;zeroPost,
               double&nbsp;zeroPre)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets the value that should be treated as zero if double arithmetic is 
 used.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>[]</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/adapter/Options.html#toArgs()">toArgs</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Converts the options into an args list as usually passed to the main
 method of the polco program.</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#clone()" title="class or interface in java.lang">clone</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#equals(java.lang.Object)" title="class or interface in java.lang">equals</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#hashCode()" title="class or interface in java.lang">hashCode</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#toString()" title="class or interface in java.lang">toString</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="Options()"><!-- --></A><H3>
Options</H3>
<PRE>
public <A HREF="../../../../src-html/ch/javasoft/polco/adapter/Options.html#line.108"><B>Options</B></A>()</PRE>
<DL>
<DD>Constructor for options using default values if no options are changed.
<P>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="setArithmetic(ch.javasoft.metabolic.efm.config.Arithmetic)"><!-- --></A><H3>
setArithmetic</H3>
<PRE>
public void <A HREF="../../../../src-html/ch/javasoft/polco/adapter/Options.html#line.264"><B>setArithmetic</B></A>(<A HREF="../../../../ch/javasoft/metabolic/efm/config/Arithmetic.html" title="enum in ch.javasoft.metabolic.efm.config">Arithmetic</A>&nbsp;core)</PRE>
<DL>
<DD>Sets the arithmetic used for the core computation, which is fractional by
 default.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>core</CODE> - arithmetic to use for core computation</DL>
</DD>
</DL>
<HR>

<A NAME="setArithmetic(ch.javasoft.metabolic.efm.config.Arithmetic, ch.javasoft.metabolic.efm.config.Arithmetic)"><!-- --></A><H3>
setArithmetic</H3>
<PRE>
public void <A HREF="../../../../src-html/ch/javasoft/polco/adapter/Options.html#line.274"><B>setArithmetic</B></A>(<A HREF="../../../../ch/javasoft/metabolic/efm/config/Arithmetic.html" title="enum in ch.javasoft.metabolic.efm.config">Arithmetic</A>&nbsp;core,
                          <A HREF="../../../../ch/javasoft/metabolic/efm/config/Arithmetic.html" title="enum in ch.javasoft.metabolic.efm.config">Arithmetic</A>&nbsp;post)</PRE>
<DL>
<DD>Sets the arithmetic used for the core computation and for 
 post-processing. The default is fractional for both phases.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>core</CODE> - arithmetic to use for core computation<DD><CODE>post</CODE> - arithmetic to use for post-processing</DL>
</DD>
</DL>
<HR>

<A NAME="setArithmetic(ch.javasoft.metabolic.efm.config.Arithmetic, ch.javasoft.metabolic.efm.config.Arithmetic, ch.javasoft.metabolic.efm.config.Arithmetic)"><!-- --></A><H3>
setArithmetic</H3>
<PRE>
public void <A HREF="../../../../src-html/ch/javasoft/polco/adapter/Options.html#line.285"><B>setArithmetic</B></A>(<A HREF="../../../../ch/javasoft/metabolic/efm/config/Arithmetic.html" title="enum in ch.javasoft.metabolic.efm.config">Arithmetic</A>&nbsp;core,
                          <A HREF="../../../../ch/javasoft/metabolic/efm/config/Arithmetic.html" title="enum in ch.javasoft.metabolic.efm.config">Arithmetic</A>&nbsp;post,
                          <A HREF="../../../../ch/javasoft/metabolic/efm/config/Arithmetic.html" title="enum in ch.javasoft.metabolic.efm.config">Arithmetic</A>&nbsp;pre)</PRE>
<DL>
<DD>Sets the arithmetic used for the core computation, for post-processing
 and for pre-processing. The default is fractional for all phases.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>core</CODE> - arithmetic to use for core computation<DD><CODE>post</CODE> - arithmetic to use for post-processing<DD><CODE>pre</CODE> - arithmetic to use for pre-processing</DL>
</DD>
</DL>
<HR>

<A NAME="setZero(double)"><!-- --></A><H3>
setZero</H3>
<PRE>
public void <A HREF="../../../../src-html/ch/javasoft/polco/adapter/Options.html#line.299"><B>setZero</B></A>(double&nbsp;zeroCore)</PRE>
<DL>
<DD>Sets the value that should be treated as zero if double arithmetic is 
 used. The zero value are used for the core computation only.
 <p>
 For exact computation (fractional,bigint,varint), zero is the default and 
 should be used, for double arithmetic, 1e-10 is the default value. Set
 the zero value to <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html#NaN" title="class or interface in java.lang"><CODE>NaN</CODE></A> to force use of default values.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>zeroCore</CODE> - zero value for core computation</DL>
</DD>
</DL>
<HR>

<A NAME="setZero(double, double)"><!-- --></A><H3>
setZero</H3>
<PRE>
public void <A HREF="../../../../src-html/ch/javasoft/polco/adapter/Options.html#line.315"><B>setZero</B></A>(double&nbsp;zeroCore,
                    double&nbsp;zeroPost)</PRE>
<DL>
<DD>Sets the value that should be treated as zero if double arithmetic is 
 used. The zero value are used for the core computation and for
 post-processing, respectively. 
 <p>
 For exact computation (fractional,bigint,varint), zero is the default and 
 should be used, for double arithmetic, 1e-10 is the default value. Set
 the zero value to <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html#NaN" title="class or interface in java.lang"><CODE>NaN</CODE></A> to force use of default values.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>zeroCore</CODE> - zero value for core computation<DD><CODE>zeroPost</CODE> - zero value for post-processing</DL>
</DD>
</DL>
<HR>

<A NAME="setZero(double, double, double)"><!-- --></A><H3>
setZero</H3>
<PRE>
public void <A HREF="../../../../src-html/ch/javasoft/polco/adapter/Options.html#line.331"><B>setZero</B></A>(double&nbsp;zeroCore,
                    double&nbsp;zeroPost,
                    double&nbsp;zeroPre)</PRE>
<DL>
<DD>Sets the value that should be treated as zero if double arithmetic is 
 used. The zero value are used for the core computation, for 
 post-processing and for pre-processing, respectively. 
 <p>
 For exact computation (fractional,bigint,varint), zero is the default and 
 should be used, for double arithmetic, 1e-10 is the default value. Set
 the zero value to <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html#NaN" title="class or interface in java.lang"><CODE>NaN</CODE></A> to force use of default values.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>zeroCore</CODE> - zero value for core computation<DD><CODE>zeroPost</CODE> - zero value for post-processing<DD><CODE>zeroPre</CODE> - zero value for pre-processing</DL>
</DD>
</DL>
<HR>

<A NAME="setMaxThreads(int)"><!-- --></A><H3>
setMaxThreads</H3>
<PRE>
public void <A HREF="../../../../src-html/ch/javasoft/polco/adapter/Options.html#line.342"><B>setMaxThreads</B></A>(int&nbsp;maxThreads)</PRE>
<DL>
<DD>Sets the maximum number of threads to use. Set the value to 0 
 (the default) to use as many threads as system CPU cores.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>maxThreads</CODE> - the maximum number of threads to use, or 0 to use as
                                                many threads as system CPU cores.</DL>
</DD>
</DL>
<HR>

<A NAME="setAlgorithm(ch.javasoft.polco.adapter.Options.Algorithm)"><!-- --></A><H3>
setAlgorithm</H3>
<PRE>
public void <A HREF="../../../../src-html/ch/javasoft/polco/adapter/Options.html#line.352"><B>setAlgorithm</B></A>(<A HREF="../../../../ch/javasoft/polco/adapter/Options.Algorithm.html" title="enum in ch.javasoft.polco.adapter">Options.Algorithm</A>&nbsp;algorithm)</PRE>
<DL>
<DD>Sets the algorithm implementation that should be used. Consider the 
 <A HREF="../../../../ch/javasoft/polco/adapter/Options.Algorithm.html" title="enum in ch.javasoft.polco.adapter"><CODE>Options.Algorithm</CODE></A> constants for suitable values.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>algorithm</CODE> - the algorithm implementation to use</DL>
</DD>
</DL>
<HR>

<A NAME="setModel(ch.javasoft.polco.adapter.Options.Model)"><!-- --></A><H3>
setModel</H3>
<PRE>
public void <A HREF="../../../../src-html/ch/javasoft/polco/adapter/Options.html#line.362"><B>setModel</B></A>(<A HREF="../../../../ch/javasoft/polco/adapter/Options.Model.html" title="enum in ch.javasoft.polco.adapter">Options.Model</A>&nbsp;model)</PRE>
<DL>
<DD>Sets the model to use for the <A HREF="../../../../ch/javasoft/polco/adapter/Options.Algorithm.html#standard"><CODE>standard</CODE></A>
 algorithm. Consider the <A HREF="../../../../ch/javasoft/polco/adapter/Options.Model.html" title="enum in ch.javasoft.polco.adapter"><CODE>Options.Model</CODE></A> constants for suitable values.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>model</CODE> - the model for the standard algorithm</DL>
</DD>
</DL>
<HR>

<A NAME="setAdjacencyMethod(java.lang.String)"><!-- --></A><H3>
setAdjacencyMethod</H3>
<PRE>
public void <A HREF="../../../../src-html/ch/javasoft/polco/adapter/Options.html#line.378"><B>setAdjacencyMethod</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;adj)</PRE>
<DL>
<DD>Sets the adjacency test method to use. The following values are 
 supported:<br> 
 pattern-tree-minzero (default), pattern-tree-rank, pattern-tree-mod-rank,
 rankup-modpi-incore, rankup-modpi-outcore
 <p>
 <b>Note:</b><br>
 Do not use pattern-tree-minzero for for the 
 <A HREF="../../../../ch/javasoft/polco/adapter/Options.Algorithm.html#borndie"><CODE>borndie</CODE></A> algorithm implementation.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>adj</CODE> - the adjacency test method to use</DL>
</DD>
</DL>
<HR>

<A NAME="setSortInput(java.lang.String)"><!-- --></A><H3>
setSortInput</H3>
<PRE>
public void <A HREF="../../../../src-html/ch/javasoft/polco/adapter/Options.html#line.389"><B>setSortInput</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;sorting)</PRE>
<DL>
<DD>Sets row ordering applied to input matrices. The following values are 
 supported:<br> 
 LexMin, AbsLexMin, MostZeros, FewestNegPos
 <p>
 By default, input rows are not sorted.
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="setSortInitial(java.lang.String)"><!-- --></A><H3>
setSortInitial</H3>
<PRE>
public void <A HREF="../../../../src-html/ch/javasoft/polco/adapter/Options.html#line.401"><B>setSortInitial</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;sorting)</PRE>
<DL>
<DD>Sets row ordering applied to the initial kernel matrix. The following 
 values are supported:<br> 
 MostZerosOrAbsLexMin (default), MostZeros, AbsLexMin, LexMin, 
 FewestNegPos, MostZerosOrFewestNegPos, MostZerosOrLexMin, 
 FewestNegPosOrMostZeros, FewestNegPosOrAbsLexMin, Random
 <p>
 By default, MostZerosOrAbsLexMin is used.
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="setCompression(ch.javasoft.polco.adapter.Options.Compression)"><!-- --></A><H3>
setCompression</H3>
<PRE>
public void <A HREF="../../../../src-html/ch/javasoft/polco/adapter/Options.html#line.410"><B>setCompression</B></A>(<A HREF="../../../../ch/javasoft/polco/adapter/Options.Compression.html" title="enum in ch.javasoft.polco.adapter">Options.Compression</A>&nbsp;compression)</PRE>
<DL>
<DD>Sets the compression to use for the input matrices. Consider the 
 <A HREF="../../../../ch/javasoft/polco/adapter/Options.Compression.html" title="enum in ch.javasoft.polco.adapter"><CODE>Options.Compression</CODE></A> constants for suitable values.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>compression</CODE> - the compression strategy</DL>
</DD>
</DL>
<HR>

<A NAME="setMemory(ch.javasoft.polco.adapter.Options.Memory)"><!-- --></A><H3>
setMemory</H3>
<PRE>
public void <A HREF="../../../../src-html/ch/javasoft/polco/adapter/Options.html#line.419"><B>setMemory</B></A>(<A HREF="../../../../ch/javasoft/polco/adapter/Options.Memory.html" title="enum in ch.javasoft.polco.adapter">Options.Memory</A>&nbsp;memory)</PRE>
<DL>
<DD>Sets the memory to used to store intermediary rays. Consider the 
 <A HREF="../../../../ch/javasoft/polco/adapter/Options.Memory.html" title="enum in ch.javasoft.polco.adapter"><CODE>Options.Memory</CODE></A> constants for suitable values.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>memory</CODE> - the memory used to store intermediary rays</DL>
</DD>
</DL>
<HR>

<A NAME="setTmpDir(java.io.File)"><!-- --></A><H3>
setTmpDir</H3>
<PRE>
public void <A HREF="../../../../src-html/ch/javasoft/polco/adapter/Options.html#line.428"><B>setTmpDir</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/File.html" title="class or interface in java.io">File</A>&nbsp;tmpDir)</PRE>
<DL>
<DD>Sets the directory for temporary files, if out-core <A HREF="../../../../ch/javasoft/polco/adapter/Options.Memory.html" title="enum in ch.javasoft.polco.adapter"><CODE>Options.Memory</CODE></A> is
 used. It is recommended to use a fast, local drive directory with large 
 capacity.
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="setLoglevel(java.util.logging.Level)"><!-- --></A><H3>
setLoglevel</H3>
<PRE>
public void <A HREF="../../../../src-html/ch/javasoft/polco/adapter/Options.html#line.438"><B>setLoglevel</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/logging/Level.html" title="class or interface in java.util.logging">Level</A>&nbsp;level)</PRE>
<DL>
<DD>Sets the log level to use. Consider the <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/logging/Level.html" title="class or interface in java.util.logging"><CODE>Level</CODE></A> constants for
 suitable values.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>level</CODE> - log level</DL>
</DD>
</DL>
<HR>

<A NAME="setLogFormat(ch.javasoft.polco.adapter.Options.LogFormat)"><!-- --></A><H3>
setLogFormat</H3>
<PRE>
public void <A HREF="../../../../src-html/ch/javasoft/polco/adapter/Options.html#line.448"><B>setLogFormat</B></A>(<A HREF="../../../../ch/javasoft/polco/adapter/Options.LogFormat.html" title="enum in ch.javasoft.polco.adapter">Options.LogFormat</A>&nbsp;format)</PRE>
<DL>
<DD>Sets the log format to use. Consider the <A HREF="../../../../ch/javasoft/polco/adapter/Options.LogFormat.html" title="enum in ch.javasoft.polco.adapter"><CODE>Options.LogFormat</CODE></A> constants for
 suitable values.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>format</CODE> - log output format</DL>
</DD>
</DL>
<HR>

<A NAME="setLogFile(java.io.File)"><!-- --></A><H3>
setLogFile</H3>
<PRE>
public void <A HREF="../../../../src-html/ch/javasoft/polco/adapter/Options.html#line.461"><B>setLogFile</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/File.html" title="class or interface in java.io">File</A>&nbsp;file)</PRE>
<DL>
<DD>Sets the log file. All logging output will be written to that file. By
 default, log output is written to the standard error and output stream.
 If you set the file to <code>null</code>, the default logging to the error
 and output stream is used.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>file</CODE> - the log file, or <code>null</code> to log to standard error and
                                output stream (the default).</DL>
</DD>
</DL>
<HR>

<A NAME="merge(ch.javasoft.polco.adapter.Options)"><!-- --></A><H3>
merge</H3>
<PRE>
public <A HREF="../../../../ch/javasoft/polco/adapter/Options.html" title="class in ch.javasoft.polco.adapter">Options</A> <A HREF="../../../../src-html/ch/javasoft/polco/adapter/Options.html#line.484"><B>merge</B></A>(<A HREF="../../../../ch/javasoft/polco/adapter/Options.html" title="class in ch.javasoft.polco.adapter">Options</A>&nbsp;other)</PRE>
<DL>
<DD>Merges <code>this</code> options with <code>other</code>. For conflicting options,
 the values of <code>this</code> class are preferred.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>other</CODE> - the options to merge with
<DT><B>Returns:</B><DD>the merged options object</DL>
</DD>
</DL>
<HR>

<A NAME="toArgs()"><!-- --></A><H3>
toArgs</H3>
<PRE>
protected <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>[] <A HREF="../../../../src-html/ch/javasoft/polco/adapter/Options.html#line.496"><B>toArgs</B></A>()</PRE>
<DL>
<DD>Converts the options into an args list as usually passed to the main
 method of the polco program.
<P>
<DD><DL>

<DT><B>Returns:</B><DD>the args list as used in the main method</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/Options.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV CLASS&nbsp;
&nbsp;<A HREF="../../../../ch/javasoft/polco/adapter/Options.Algorithm.html" title="enum in ch.javasoft.polco.adapter"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/polco/adapter/Options.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="Options.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;<A HREF="#nested_class_summary">NESTED</A>&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
